summaryrefslogtreecommitdiffstats
path: root/src/opkg.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/opkg.sh')
-rw-r--r--src/opkg.sh7
1 files changed, 5 insertions, 2 deletions
diff --git a/src/opkg.sh b/src/opkg.sh
index d801309..39b91ef 100644
--- a/src/opkg.sh
+++ b/src/opkg.sh
@@ -23,12 +23,15 @@ opkg_install_all()
local root="${1}"
shift 1
local es=
+ local pkgs=
session_begin "${root}" . true
es=0
- session_exec /bin/sh -c \
- 'opkg install $(opkg list-installed | cut -d " " -f 1)' || \
+ if ! pkgs="$(session_exec opkg list-installed | cut -d " " -f 1)"; then
es=${?}
+ session_end
+ fi
+ session_exec opkg install ${pkgs} || es=${?}
session_end
return ${es}